# Courses

Courses

 - [GET /courses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/courses/listcourses.md): This method will scan all courses and and return them to the caller.
 - [POST /courses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/courses/createcourse.md): This method will auto-generate an ID and create a new course. If an ID is specified for the course, an error will be thrown.
 - [POST /courses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/courses/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /courses/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/courses/listallcoursespublic.md): This method will scan all courses and and return them to the caller.
 - [GET /courses/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/courses/getcoursepublic.md): This method will look up a course by the specified ID and return it back.
 - [DELETE /courses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/courses/deletecourse.md): This method will delete a course with the specified ID.
 - [GET /courses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/courses/getcourse.md): This method will look up a course by the specified ID and return it back.
 - [PATCH /courses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/courses/patchcourse.md): This method will patch an existing course with the specified ID, using the HTTP PATCH specification.
 - [PUT /courses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/courses/updatecourse.md): This method will update an existing course with the specified ID.
